diff -r -C 2 -P ../AmiPhone_1.92/amiphone.c ./amiphone.c
*** ../AmiPhone_1.92/amiphone.c	Sat Nov 16 23:46:46 1996
--- ./amiphone.c	Tue Mar  3 09:05:11 1998
***************
*** 1661,1672 ****
  	if (GetPhoneArg("SAMPLERATE", &nParam, &szParam))    ulBytesPerSecond = ChopValue(nParam,MIN_SAMPLE_RATE,nMaxSampleRate);
  	if (GetPhoneArg("SAMPLER", &nParam, &szParam))       ubSamplerType    = ParseSamplerType(szParam);
  	if (GetPhoneArg("INPUTCHANNEL", &nParam, &szParam))  ubInputChannel   = ParseInputChannel(szParam);
  	if (GetPhoneArg("VOICEMAILDIR", &nParam, &szParam))  Strncpy(szVoiceMailDir,szParam,sizeof(szVoiceMailDir));
!         if (GetPhoneArg("INPUTSOURCE",&nParam,&szParam))
!         {
!         	if (*szParam == 'M') ubInputSource = INPUT_SOURCE_MIC;
!         	if (*szParam == 'L') ubInputSource = INPUT_SOURCE_EXT;
!         }
!         else if (ubSamplerType == SAMPLER_TOCCATA)
  	{
  		/* Try to get current input source setting from Toccata prefs */
--- 1894,1907 ----
  	if (GetPhoneArg("SAMPLERATE", &nParam, &szParam))    ulBytesPerSecond = ChopValue(nParam,MIN_SAMPLE_RATE,nMaxSampleRate);
  	if (GetPhoneArg("SAMPLER", &nParam, &szParam))       ubSamplerType    = ParseSamplerType(szParam);
+ 	if (GetPhoneArg("AHIMODE", &nParam, &szParam))       ulAHIMode        = nParam;
  	if (GetPhoneArg("INPUTCHANNEL", &nParam, &szParam))  ubInputChannel   = ParseInputChannel(szParam);
  	if (GetPhoneArg("VOICEMAILDIR", &nParam, &szParam))  Strncpy(szVoiceMailDir,szParam,sizeof(szVoiceMailDir));
!     if (GetPhoneArg("INPUTSOURCE",&nParam,&szParam))
!     {
!     	if (*szParam == 'M') ubInputSource = INPUT_SOURCE_MIC;
!     	else if (*szParam == 'L') ubInputSource = INPUT_SOURCE_EXT;
!     	else ubInputSource = ChopValue(nParam,0,255);
!     }
!     else if (ubSamplerType == SAMPLER_TOCCATA)
  	{
  		/* Try to get current input source setting from Toccata prefs */
***************
*** 1678,1688 ****
  		T_GetPart(taglist);
  		ubInputSource = (lInputSource == TINPUT_Mic) ? INPUT_SOURCE_MIC : INPUT_SOURCE_EXT;
!         }
!         if (GetPhoneArg("AMPLIFY",&nParam,&szParam))
!         {
!         	if (*szParam == '1') nAmpShift = 0;
!         	if (*szParam == '2') nAmpShift = 1;
!         	if (*szParam == '4') nAmpShift = 2;
!         }
  
  	BSuccess = GetPhoneArg("PUBSCREEN", &nParam, &szParam);
--- 1913,1923 ----
  		T_GetPart(taglist);
  		ubInputSource = (lInputSource == TINPUT_Mic) ? INPUT_SOURCE_MIC : INPUT_SOURCE_EXT;
!     }
!     if (GetPhoneArg("AMPLIFY",&nParam,&szParam))
!     {
!     	if (*szParam == '1') nAmpShift = 0;
!     	if (*szParam == '2') nAmpShift = 1;
!     	if (*szParam == '4') nAmpShift = 2;
!     }
  
  	BSuccess = GetPhoneArg("PUBSCREEN", &nParam, &szParam);
***************
*** 1842,1891 ****
  
  	BReturn = ((0==strcmp(szBuf,"TOP"))  		||
! 		  (0==strcmp(szBuf,"LEFT")) 		||
! 		  (0==strcmp(szBuf,"KEY"))  		||
! 	 	  (0==strcmp(szBuf,"PUBSCREEN")) 	||
  	 	  (0==strcmp(szBuf,"THRESHVOLUME")) 	||
   	          (0==strcmp(szBuf,"MINVOLUME")) 	||
! 	 	  (0==strcmp(szBuf,"XMITDELAY")) 	||
  	 	  (0==strcmp(szBuf,"PACKETINTERVAL")) 	||
! 	 	  (0==strcmp(szBuf,"SAMPLERATE")) 	||
  	 	  (0==strcmp(szBuf,"ENABLEONCONNECT")) 	||
  	 	  (0==strcmp(szBuf,"XMITONCONNECT")) 	||
!   	 	  (0==strcmp(szBuf,"XMITONPLAY")) 	||
    	 	  (0==strcmp(szBuf,"TCPBATCHXMIT")) 	||
! 	 	  (0==strcmp(szBuf,"SENDPRI")) 		||
! 	 	  (0==strcmp(szBuf,"RECEIVEPRI")) 	||
  	 	  (0==strcmp(szBuf,"HOLDTOTRANSMIT")) 	||
! 	 	  (0==strcmp(szBuf,"COMPRESS")) 	||
  	 	  (0==strcmp(szBuf,"MAXBANDWIDTH")) 	||
! 	 	  (0==strcmp(szBuf,"CONNECT")) 		||
  	 	  (0==strcmp(szBuf,"SAMPLETECHNIQUE")) 	||
  	 	  (0==strcmp(szBuf,"MAXSAMPLERATE")) 	||
  	 	  (0==strcmp(szBuf,"INPUTCHANNEL")) 	||
! 	 	  (0==strcmp(szBuf,"SAMPLER")) 		||
  	 	  (0==strcmp(szBuf,"VOICEMAILDIR")) 	||
  	 	  (0==strcmp(szBuf,"INPUTSOURCE"))      ||
  	 	  (0==strcmp(szBuf,"AMPLIFY"))          ||
! 	 	  (0==strcmp(szBuf,"PUBSCREEN"))	||
  	 	  (0==strcmp(szBuf,"PUBLICSCREEN"))     ||
  	 	  (0==strcmp(szBuf,"CUSTSTARTBITS"))    ||
! 		  (0==strcmp(szBuf,"CUSTDIRBITS")) 	||
! 		  (0==strcmp(szBuf,"CUSTLEFTBITS"))	||
  		  (0==strcmp(szBuf,"CUSTRIGHTBITS"))	||
! 		  (0==strcmp(szBuf,"CUSTEXTBITS"))	||
! 		  (0==strcmp(szBuf,"CUSTSTOPBITS"))	||
! 		  (0==strcmp(szBuf,"MAXXMITDELAY"))	||
! 		  (0==strcmp(szBuf,"MICGAIN"))		||
! 		  (0==strcmp(szBuf,"LINEGAIN"))		||
! 		  (0==strcmp(szBuf,"IDLERATE"))		||
! 		  (0==strncmp(szBuf,"PHONEBOOK",9))	||
  		  (0==strcmp(szBuf,"CUSTSAMPLEADDRESS"))||
  		  (0==strcmp(szBuf,"MAXVOLBYTECOUNT"))  ||
! 		  (0==strcmp(szBuf,"HACKAMPVOL"))  	||
! 		  (0==strcmp(szBuf,"DEBUG"))  		||
! 		  (0==strcmp(szBuf,"FONT"))  		||
! 		  (0==strcmp(szBuf,"FONTSIZE"))  	||
! 		  (0==strcmp(szBuf,"PRESEND"))  	||
! 		  (0==strcmp(szBuf,"POSTSEND"))  	||
  		  (0==strcmp(szBuf,"CUSTMICBITS")));
  
--- 2077,2127 ----
  
  	BReturn = ((0==strcmp(szBuf,"TOP"))  		||
! 		  (0==strcmp(szBuf,"LEFT"))				||
! 		  (0==strcmp(szBuf,"KEY"))				||
! 	 	  (0==strcmp(szBuf,"PUBSCREEN"))		||
  	 	  (0==strcmp(szBuf,"THRESHVOLUME")) 	||
   	          (0==strcmp(szBuf,"MINVOLUME")) 	||
! 	 	  (0==strcmp(szBuf,"XMITDELAY"))		||
  	 	  (0==strcmp(szBuf,"PACKETINTERVAL")) 	||
! 	 	  (0==strcmp(szBuf,"SAMPLERATE"))		||
  	 	  (0==strcmp(szBuf,"ENABLEONCONNECT")) 	||
  	 	  (0==strcmp(szBuf,"XMITONCONNECT")) 	||
!   	 	  (0==strcmp(szBuf,"XMITONPLAY"))		||
    	 	  (0==strcmp(szBuf,"TCPBATCHXMIT")) 	||
! 	 	  (0==strcmp(szBuf,"SENDPRI"))			||
! 	 	  (0==strcmp(szBuf,"RECEIVEPRI"))		||
  	 	  (0==strcmp(szBuf,"HOLDTOTRANSMIT")) 	||
! 	 	  (0==strcmp(szBuf,"COMPRESS"))			||
  	 	  (0==strcmp(szBuf,"MAXBANDWIDTH")) 	||
! 	 	  (0==strcmp(szBuf,"CONNECT"))			||
  	 	  (0==strcmp(szBuf,"SAMPLETECHNIQUE")) 	||
  	 	  (0==strcmp(szBuf,"MAXSAMPLERATE")) 	||
  	 	  (0==strcmp(szBuf,"INPUTCHANNEL")) 	||
! 	 	  (0==strcmp(szBuf,"SAMPLER"))			||
! 	 	  (0==strcmp(szBuf,"AHIMODE"))			||
  	 	  (0==strcmp(szBuf,"VOICEMAILDIR")) 	||
  	 	  (0==strcmp(szBuf,"INPUTSOURCE"))      ||
  	 	  (0==strcmp(szBuf,"AMPLIFY"))          ||
! 	 	  (0==strcmp(szBuf,"PUBSCREEN"))		||
  	 	  (0==strcmp(szBuf,"PUBLICSCREEN"))     ||
  	 	  (0==strcmp(szBuf,"CUSTSTARTBITS"))    ||
! 		  (0==strcmp(szBuf,"CUSTDIRBITS")) 		||
! 		  (0==strcmp(szBuf,"CUSTLEFTBITS"))		||
  		  (0==strcmp(szBuf,"CUSTRIGHTBITS"))	||
! 		  (0==strcmp(szBuf,"CUSTEXTBITS"))		||
! 		  (0==strcmp(szBuf,"CUSTSTOPBITS"))		||
! 		  (0==strcmp(szBuf,"MAXXMITDELAY"))		||
! 		  (0==strcmp(szBuf,"MICGAIN"))			||
! 		  (0==strcmp(szBuf,"LINEGAIN"))			||
! 		  (0==strcmp(szBuf,"IDLERATE"))			||
! 		  (0==strncmp(szBuf,"PHONEBOOK",9))		||
  		  (0==strcmp(szBuf,"CUSTSAMPLEADDRESS"))||
  		  (0==strcmp(szBuf,"MAXVOLBYTECOUNT"))  ||
! 		  (0==strcmp(szBuf,"HACKAMPVOL"))  		||
! 		  (0==strcmp(szBuf,"DEBUG"))  			||
! 		  (0==strcmp(szBuf,"FONT"))  			||
! 		  (0==strcmp(szBuf,"FONTSIZE"))  		||
! 		  (0==strcmp(szBuf,"PRESEND"))  		||
! 		  (0==strcmp(szBuf,"POSTSEND"))  		||
  		  (0==strcmp(szBuf,"CUSTMICBITS")));
  
***************
*** 2138,2142 ****
  
  /* This is where the Graphics Daemon starts executing at! */
! __geta4 void GraphicsTaskMain(void)
  {
  	/* Global data to be used by the graphics daemon ONLY */
--- 2374,2378 ----
  
  /* This is where the Graphics Daemon starts executing at! */
! void SAVEDS GraphicsTaskMain(void)
  {
  	/* Global data to be used by the graphics daemon ONLY */
***************
*** 2357,2361 ****
    	 ((AHImp = CreateMsgPort()) && 
    	  (AHIio = (struct AHIRequest *)CreateIORequest(AHImp,sizeof(struct AHIRequest))) &&
!   	  (AHIio->ahir_Version = 1) &&
    	  ((AHIDevice = OpenDevice(AHINAME,AHI_NO_UNIT,(struct IORequest *)AHIio,0L)) == 0))
    	{
--- 2593,2597 ----
    	 ((AHImp = CreateMsgPort()) && 
    	  (AHIio = (struct AHIRequest *)CreateIORequest(AHImp,sizeof(struct AHIRequest))) &&
!   	  (AHIio->ahir_Version = 4) &&
    	  ((AHIDevice = OpenDevice(AHINAME,AHI_NO_UNIT,(struct IORequest *)AHIio,0L)) == 0))
    	{
***************
*** 2477,2486 ****
  	UWORD wZoomCoords[4];
  
- 	/* Put this to a known state of non-allocation! */
- 	DelfinaBase = NULL;
- 		
  	if ((BStartedFromWB == FALSE)&&(largc == 2)&&(*largv[1] == '?'))
  	{
! 		printf("Template:  AmiPhone PEERNAME/A,TOP/K/N,LEFT/K/N,PUBSCREEN/K,COMPRESS/K,CONNECT/K,THRESHVOLUME/K/N,SAMPLERATE/K/N,XMITDELAY/K/N,MAXBANDWIDTH/K/N,SAMPLETECHNIQUE/K,MAXXMITDELAY/K/N,MAXSAMPLERATE/K/N,SAMPLER/K,VOICEMAILDIR/K,AMPLIFY/K/N,INPUTSOURCE/K,PHONEBOOKx/K,MICGAIN/K/N,IDLERATE/K/N,ENABLEONCONNECT/S,XMITONPLAY/S,HOLDTOTRANSMIT/S,TCPBATCHXMIT/S,INVERTWAVEFORM/S\n");
  		exit(0);
  	}	
--- 2713,2726 ----
  	UWORD wZoomCoords[4];
  
  	if ((BStartedFromWB == FALSE)&&(largc == 2)&&(*largv[1] == '?'))
  	{
! 		printf("Template:  AmiPhone"
! 		       "PEERNAME/A,TOP/K/N,LEFT/K/N,PUBSCREEN/K,COMPRESS/K,CONNECT/K,"
! 		       "THRESHVOLUME/K/N,SAMPLERATE/K/N,XMITDELAY/K/N,MAXBANDWIDTH/K/N,"
! 		       "SAMPLETECHNIQUE/K,MAXXMITDELAY/K/N,MAXSAMPLERATE/K/N,SAMPLER/K,"
! 		       "AHIMODE/K/N,"
! 		       "VOICEMAILDIR/K,AMPLIFY/K/N,INPUTSOURCE/K,PHONEBOOKx/K,MICGAIN/K/N,"
! 		       "IDLERATE/K/N,ENABLEONCONNECT/S,XMITONPLAY/S,HOLDTOTRANSMIT/S,"
! 		       "TCPBATCHXMIT/S,INVERTWAVEFORM/S\n");
  		exit(0);
  	}	
***************
*** 2577,2581 ****
  	        		  		IDCMP_MOUSEBUTTONS|SLIDERIDCMP|IDCMP_VANILLAKEY|IDCMP_NEWSIZE,
  	        WA_Flags,       WFLG_SIZEBBOTTOM|WFLG_SMART_REFRESH|WFLG_ACTIVATE|
! 	        		 		/*WFLG_NEWLOOKMENUS|*/WFLG_CLOSEGADGET|WFLG_DRAGBAR|
  	        				WFLG_DEPTHGADGET,
  	        WA_Gadgets,	glist,
--- 2817,2821 ----
  	        		  		IDCMP_MOUSEBUTTONS|SLIDERIDCMP|IDCMP_VANILLAKEY|IDCMP_NEWSIZE,
  	        WA_Flags,       WFLG_SIZEBBOTTOM|WFLG_SMART_REFRESH|WFLG_ACTIVATE|
! 	        		 		WFLG_NEWLOOKMENUS|WFLG_CLOSEGADGET|WFLG_DRAGBAR|
  	        				WFLG_DEPTHGADGET,
  	        WA_Gadgets,	glist,
***************
*** 2631,2636 ****
  			   (1L << SoundTaskPort->mp_SigBit)	    |
  		   	   (AppWindowPort ? (1L<<AppWindowPort->mp_SigBit) : 0)  |
! 			   (rexxHost ? (1L<<rexxHost->port->mp_SigBit) : 0) 	 |
! 			   (DelfinaBase ? delfsig : 0));
  
  	/* Fill out our message to the graphics daemon */
--- 2871,2875 ----
  			   (1L << SoundTaskPort->mp_SigBit)	    |
  		   	   (AppWindowPort ? (1L<<AppWindowPort->mp_SigBit) : 0)  |
! 			   (rexxHost ? (1L<<rexxHost->port->mp_SigBit) : 0) );
  
  	/* Fill out our message to the graphics daemon */
***************
*** 2661,2664 ****
--- 2900,2906 ----
  	}
  
+ 	ChangeSamplerType(ubSamplerType);
+     SetMenuValues();
+ 
  	/* Main loop */
  	while (BProgramDone == FALSE) 
***************
*** 2669,2682 ****
  		if (signal & (1<<sigfull)) TransmitData(pubRightBuffer,  ALL_OF_BUFFER, ubCurrComp);  /* send right buffer */ 
  
- 		if ((DelfinaBase)&&(signal & delfsig))
- 		{
- 			int nBytesAfterComp = ulSampleArraySize;
- 			
- 			if (ubCurrComp == COMPRESS_ADPCM2) nBytesAfterComp >>= 2;
- 			if (ubCurrComp == COMPRESS_ADPCM3) nBytesAfterComp = (nBytesAfterComp * 3)>>3;
- 
- 			TransmitData(pubAllocedArray, nBytesAfterComp, ubCurrComp);
- 		}
- 				
  		if ((signal & SIGBREAKF_CTRL_F)&&((ubSamplerType == SAMPLER_TOCCATA)||(ubSamplerType == SAMPLER_AHI)))
  		{
--- 2911,2914 ----
Only in ../AmiPhone_1.92: amiphone.c.info
diff -r -C 2 -P ../AmiPhone_1.92/amiphone.guide ./amiphone.guide
*** ../AmiPhone_1.92/amiphone.guide	Sat Nov 16 23:46:44 1996
--- ./amiphone.guide	Fri Mar 13 00:25:23 1998
***************
*** 6,10 ****
  @node Main "Contents"
  
! @{"AmiPhone" link Introduction} @{"V1.92" link History} by @{"Jeremy Friesner" link Me}
  
  AmiPhone is a program that allows you to have a voice conversation
--- 6,17 ----
  @node Main "Contents"
  
! @{"AmiPhone" link Introduction} @{"V1.93" link History} by @{"Jeremy Friesner" link Me}
! 
! (This version by Martin Blom, <lcs@lysator.liu.se>. DISCLAIMER: This is
! just a quick AHI fix. I am not going to maintain this program, and I'm
! not interested in bug reports. The 1.92 source is on Aminet, and my patches
! should come with this file. And please don't bother Jeremy with bug reports
! either, I'm sure he has other things to do.)
! 
  
  AmiPhone is a program that allows you to have a voice conversation
***************
*** 12,16 ****
  and an 8 bit parallel port digitizer and microphone.
  
! NOTE:  AmiPhone 1.92 is not compatible with AmiPhone 1.41ß or lower!  
         Make sure anyone you connect to has the latest version installed!
         
--- 19,23 ----
  and an 8 bit parallel port digitizer and microphone.
  
! NOTE:  AmiPhone 1.93 is not compatible with AmiPhone 1.41ß or lower!  
         Make sure anyone you connect to has the latest version installed!
         
***************
*** 92,96 ****
  @node Credits
  
!                             @{b}@{u}AmiPhone V1.92@{uu}@{ub}
  
                        Created by @{"Jeremy Friesner" link Me}
--- 99,103 ----
  @node Credits
  
!                             @{b}@{u}AmiPhone V1.93@{uu}@{ub}
  
                        Created by @{"Jeremy Friesner" link Me}
***************
*** 102,106 ****
           Interrupt handlers assembled with PhxAss by Frank Wille
  
!                    Delfina DSP coding by Teemu Suikki
  @endnode
  
--- 109,113 ----
           Interrupt handlers assembled with PhxAss by Frank Wille
  
!                     Additional AHI code my Martin Blom
  @endnode
  
***************
*** 252,258 ****
  asl.library		37 	in LIBS:, required to use File Requesters
  toccata.library		6       in LIBS:, required to use Toccata digitizer
- delfina.library		2	in LIBS:, required to use Delfina digitizer
  timer.device		?	in ROM, required
! ahi.device              ?       in DEVS:, required to use AHI
  @endnode
  
--- 259,264 ----
  asl.library		37 	in LIBS:, required to use File Requesters
  toccata.library		6       in LIBS:, required to use Toccata digitizer
  timer.device		?	in ROM, required
! ahi.device              4       in DEVS:, required to use AHI
  @endnode
  
***************
*** 611,614 ****
--- 617,621 ----
     @{"PLAYFILE" link playfile}		Play a sound file.
     @{"QUIT" link quit}			Exit AmiPhone
+    @{"SETAHIMODE" link setahimode}	        Set the AHI audio mode.
     @{"SETCOMPRESSION" link setcompression}	Choose a compression algorithm.
     @{"SETENABLEONCONNECT" link setenableonconnect}	Set Enable on Connect menu item.
***************
*** 830,834 ****
  			  hardware:  "GVPDSS8", "CUSTOM", "PERFECTSOUND",
  			  "TOCCATA", "AMAS", "GENERIC", "SOUNDMAGIC", 
! 			  "DELFINA", "AURA", or "AHI".
  	compression	- The currently selected compression algorithm:
  			  "ADPCM2", "ADPCM3", or "NONE".
--- 837,841 ----
  			  hardware:  "GVPDSS8", "CUSTOM", "PERFECTSOUND",
  			  "TOCCATA", "AMAS", "GENERIC", "SOUNDMAGIC", 
! 			  "AURA", or "AHI".
  	compression	- The currently selected compression algorithm:
  			  "ADPCM2", "ADPCM3", or "NONE".
***************
*** 836,843 ****
  			  "HOLD" or "TOGGLE".
  	inputgain	- The current input gain value (0-8 for DSS8,
! 			  0-15 for the Toccata or Delfina).
  	amplify		- The current digital amplify value (1, 2, or 4).
  	inputchannel	- The current input channel.  "LEFT" or "RIGHT".
! 	inputsource	- The current input source.  "MIC" or "LINE".
  	enableonconnect	- 1 if @{"Enable On Connect" link EnableOnConnect} is checked, else 0.
  	xmitonplay	- 1 if @{"Xmit on Play" link XmitOnPlay} is checked, else 0.
--- 843,850 ----
  			  "HOLD" or "TOGGLE".
  	inputgain	- The current input gain value (0-8 for DSS8,
! 			  0-15 for the Toccata).
  	amplify		- The current digital amplify value (1, 2, or 4).
  	inputchannel	- The current input channel.  "LEFT" or "RIGHT".
! 	inputsource	- The current input source.  "MIC", "LINE" or a number (AHI).
  	enableonconnect	- 1 if @{"Enable On Connect" link EnableOnConnect} is checked, else 0.
  	xmitonplay	- 1 if @{"Xmit on Play" link XmitOnPlay} is checked, else 0.
***************
*** 970,973 ****
--- 977,1002 ----
  
  
+ @node setahimode
+ 
+ 	SETAHIMODE
+ 
+ 	Arguments
+ 	---------
+ 	MODE
+ 
+ 	Effect/Description
+ 	------------------
+ 	Sets the current AHI audio mode to MODE.
+ 
+ 	Return Values
+ 	-------------
+ 	Returns 1.
+ 
+ 	Example
+ 	-------
+ 	SETAHIMODE 131079
+ 
+ @endnode
+ 
  @node setcompression
  
***************
*** 1077,1081 ****
  	------------------
  	Sets the input gain.  This currently only has an effect for
! 	the DSS8, PERFECTSOUND, DELFINA, or TOCCATA samplers.  If the 
  	RELATIVE switch is specified, the input gain will be changed 
  	by GAIN, otherwise it will be set to GAIN.
--- 1106,1110 ----
  	------------------
  	Sets the input gain.  This currently only has an effect for
! 	the DSS8, PERFECTSOUND or TOCCATA samplers.  If the 
  	RELATIVE switch is specified, the input gain will be changed 
  	by GAIN, otherwise it will be set to GAIN.
***************
*** 1103,1107 ****
  	Arguments
  	---------
! 	[MIC] [LINE]
  
  	Effect/Description
--- 1132,1136 ----
  	Arguments
  	---------
! 	[MIC] [LINE] [
  
  	Effect/Description
***************
*** 1117,1120 ****
--- 1146,1151 ----
  	-------
  	SETINPUTSOURCE MIC
+ 	SETINPUTSOURCE 0
+ 
  
  @endnode
***************
*** 1129,1133 ****
  	---------
  	[DSS8] [PERFECTSOUND] [AMAS] [SOUNDMAGIC] [TOCCATA] [AURA] 
! 	[DELFINA] [AHI] [CUSTOM] [GENERIC]
  
  	Effect/Description
--- 1160,1164 ----
  	---------
  	[DSS8] [PERFECTSOUND] [AMAS] [SOUNDMAGIC] [TOCCATA] [AURA] 
! 	[AHI] [CUSTOM] [GENERIC]
  
  	Effect/Description
***************
*** 1573,1584 ****
  Template:  AmiPhone PEERNAME/A, TOP/K/N, LEFT/K/N, COMPRESS/K, PUBSCREEN/K,
                      CONNECT/K, THRESHVOLUME/K/N, XMITDELAY/K/N, FONT/K,
!                     FONTSIZE/K, SAMPLERATE/K/N, MAXBANDWIDTH/K/N, SENDPRI/K/N, 
                      RECEIVEPRI/K/N, MAXSAMPLERATE/K/N, MAXXMITDELAY/K/N,
!                     SAMPLER/K, INPUTCHANNEL/K, VOICEMAILDIR/K, AMPLIFY/K/N, 
                      INPUTSOURCE/K, PHONEBOOKx/K, MICGAIN/K/N, LINEGAIN/K/N,
!                     IDLERATE/K/N, PRESEND/K/N, POSTSEND/K/N, XMITONPLAY/S, 
!                     ENABLEONCONNECT/S, HOLDTOTRANSMIT/S, BATCHTCPXMIT/S, 
!                     INVERTWAVEFORM/S
  		                        
  	@{"AMPLIFY/K/N" link AmplifyArg}       Specify a digital signal amplification value
  	@{"BATCHTCPXMIT/S" link TCPBatchXmitArg}    Send whole sentences at once over slow links
--- 1604,1616 ----
  Template:  AmiPhone PEERNAME/A, TOP/K/N, LEFT/K/N, COMPRESS/K, PUBSCREEN/K,
                      CONNECT/K, THRESHVOLUME/K/N, XMITDELAY/K/N, FONT/K,
!                     FONTSIZE/K, SAMPLERATE/K/N, MAXBANDWIDTH/K/N, SENDPRI/K/N,
                      RECEIVEPRI/K/N, MAXSAMPLERATE/K/N, MAXXMITDELAY/K/N,
!                     SAMPLER/K, AHIMODE/K/N, INPUTCHANNEL/K, VOICEMAILDIR/K,
                      INPUTSOURCE/K, PHONEBOOKx/K, MICGAIN/K/N, LINEGAIN/K/N,
!                     AMPLIFY/K/N, IDLERATE/K/N, PRESEND/K/N, POSTSEND/K/N,
!                     XMITONPLAY/S, ENABLEONCONNECT/S, HOLDTOTRANSMIT/S,
!                     BATCHTCPXMIT/S, INVERTWAVEFORM/S
  		                        
+ 	@{"AHIMODE/K" link AHIModeArg}         Inform AmiPhone as to what audio mode you like
  	@{"AMPLIFY/K/N" link AmplifyArg}       Specify a digital signal amplification value
  	@{"BATCHTCPXMIT/S" link TCPBatchXmitArg}    Send whole sentences at once over slow links
***************
*** 1700,1704 ****
         otherwise used with parallel port based samplers.  Thus,
         PreSend is most useful when used with non-Parallel-port
!        based samplers such as the Toccata or Delfina.  For 
         parallel-port based samplers, try raising the @{"idle rate" link IdleRateArg}
         before resorting to using this argument.
--- 1732,1736 ----
         otherwise used with parallel port based samplers.  Thus,
         PreSend is most useful when used with non-Parallel-port
!        based samplers such as the Toccata.  For 
         parallel-port based samplers, try raising the @{"idle rate" link IdleRateArg}
         before resorting to using this argument.
***************
*** 1766,1771 ****
  This startup argument allows you to set AmiPhone to use a given
  hardware microphone amplification level for the audio being digitized.  
! Microphone gain is supported on two digitizers--the Toccata and the
! Delfina.  It can be set to either +20dB (the default), or +0dB.
  
  Usage Example:
--- 1798,1803 ----
  This startup argument allows you to set AmiPhone to use a given
  hardware microphone amplification level for the audio being digitized.  
! Microphone gain is supported on two digitizers--the Toccata.  It can be set
! to either +20dB (the default), or +0dB.
  
  Usage Example:
***************
*** 1796,1803 ****
    	 Example:  AmiPhone SAMPLER=TOCCATA LINEGAIN=9
    
-   DELFINA - Gain levels range from 0 to 15.
- 
-   	 Example:  AmiPhone SAMPLER=DELFINA LINEGAIN=14
-   	    	 	   
    PERFECTSOUND - This digitizer has a way to change the current
    		 amplification by a given amount, but no known
--- 1828,1831 ----
***************
*** 1952,1955 ****
--- 1980,1995 ----
  
  
+ @node AHIModeArg
+ 
+ With this argument, you can let AmiPhone know which audio mode
+ you'd like to use when using an AHI sampler. The argument
+ is the desired audio mode, in decimal.
+ 
+ Usage Example:
+ 
+ AmiPhone SAMPLER=AHI AHIMODE=131079 INPUTSOURCE=0
+ 
+ @endnode
+ 
  @node SamplerArg
  
***************
*** 1975,1981 ****
    	Set this to use the Toccata Zorro II sound card as a sampler.
  
-   DELFINA
-   	Set this to use the Delfina Zorro II sound card as a sampler.
-   
    AURA
    	Set this to use the Aura PCMCIA card as a sampler.
--- 2015,2018 ----
***************
*** 1989,1995 ****
    AHI
    	Set this to use the AHI audio library as an interface
!   	to your sampler.  (Beware:  AHI support is COMPLETELY untested
!   	right now!)
!   	
    CUSTOM
          This setting allows you to set technical details of the 
--- 2026,2031 ----
    AHI
    	Set this to use the AHI audio library as an interface
!   	to your sampler.
! 
    CUSTOM
          This setting allows you to set technical details of the 
***************
*** 2043,2047 ****
  
  Note that this will only work with digitizers that connect to the 
! parallel port (so don't try it with your Delfina, Toccata or AHI board).
  
  Most parallel port digitizers use three binary switches to control
--- 2079,2083 ----
  
  Note that this will only work with digitizers that connect to the 
! parallel port (so don't try it with your Toccata or AHI board).
  
  Most parallel port digitizers use three binary switches to control
***************
*** 2155,2159 ****
  @node InputSourceArg
  
! Certain digitizers (to be exact, the Sound Magic, Delfina and 
  Toccata digitizers) have multiple sound input jacks.  This 
  startup argument allows you to set the default jack to receive 
--- 2191,2195 ----
  @node InputSourceArg
  
! Certain digitizers (to be exact, the Sound Magic and 
  Toccata digitizers) have multiple sound input jacks.  This 
  startup argument allows you to set the default jack to receive 
***************
*** 2168,2171 ****
--- 2204,2211 ----
  AmiPhone INPUTSOURCE=LINE
  
+ or
+ 
+ AmiPhone SAMPLER=AHI AHIMODE=131079 INPUTSOURCE=0
+ 
  @endnode
  
***************
*** 2551,2559 ****
  Line Gain - This submenu allows you to raise and lower the gain of the
              sound signal entering the digitizer.  This menu currently
!             only works with the DSS8, Delfina, Toccata and PerfectSound 
              digitizers.
  
  Mic Gain - This submenu allows you to set or unset the +20dB microphone
! 	   gain that is available on the Toccata and Delfina samplers.
  
  Digital Amplify - This submenu lets you @{"digitally amplify" link DigitalAmplification} the input
--- 2591,2599 ----
  Line Gain - This submenu allows you to raise and lower the gain of the
              sound signal entering the digitizer.  This menu currently
!             only works with the DSS8, Toccata and PerfectSound 
              digitizers.
  
  Mic Gain - This submenu allows you to set or unset the +20dB microphone
! 	   gain that is available on the Toccata sampler.
  
  Digital Amplify - This submenu lets you @{"digitally amplify" link DigitalAmplification} the input
***************
*** 2567,2572 ****
  Input Source - This submenu lets you choose which input jack to sample
                 from--either the microphone jack or the line-level jack.
!                This submenu is only applicable to the Toccata, Delfina, 
!                and Sound Magic digitizers.
                 
  Enable on Connect - If this is checked, you will begin transmission of 
--- 2607,2612 ----
  Input Source - This submenu lets you choose which input jack to sample
                 from--either the microphone jack or the line-level jack.
!                This submenu is only applicable to the Toccata and Sound
!                Magic digitizers.
                 
  Enable on Connect - If this is checked, you will begin transmission of 
***************
*** 2637,2641 ****
  the signal coming from the microphone is a little bit soft.  You have
  to talk loudly into the microphone to be heard clearly.  For some 
! digitizers, such as the DSS8, PerfectSound, Delfina, or Toccata, you 
  can use the @{"Mic" link MicGainArg} or {"Line" link LineGainArg} Gain startup arguments or @{"menu items" link SettingsMenu} to fix this problem.
  However, other brands of sampler either do not support this, or do
--- 2677,2681 ----
  the signal coming from the microphone is a little bit soft.  You have
  to talk loudly into the microphone to be heard clearly.  For some 
! digitizers, such as the DSS8, PerfectSound or Toccata, you 
  can use the @{"Mic" link MicGainArg} or {"Line" link LineGainArg} Gain startup arguments or @{"menu items" link SettingsMenu} to fix this problem.
  However, other brands of sampler either do not support this, or do
***************
*** 2740,2747 ****
      has been tested successfully with the DSS8+, PerfectSound 3, 
      Sound Magic, and several homemade samplers.  AmiPhone also supports 
!     the Delfina and Toccata Zorro II sound boards, as well as the Aura 
      PCMCIA sound card for digitizing purposes, and the AHI sound card 
!     interface library.  The AHI implementation is untested, so it 
!     probably doesn't work, though.
  
  Q:  But I don't have any sampler!
--- 2780,2786 ----
      has been tested successfully with the DSS8+, PerfectSound 3, 
      Sound Magic, and several homemade samplers.  AmiPhone also supports 
!     the Toccata Zorro II sound board, as well as the Aura 
      PCMCIA sound card for digitizing purposes, and the AHI sound card 
!     interface library.
  
  Q:  But I don't have any sampler!
***************
*** 2823,2828 ****
  ( "-" = new feature, "*" = bug fix)
  
! 1.93 :
! ND   - Add menu item to toggle the VOICEMAIL env var
  
  1.92 : (Public Release 07/07/96)
--- 2862,2878 ----
  ( "-" = new feature, "*" = bug fix)
  
! 1.93 : (Public Release 1998-03-13)
! 
!      The 1.93 changes by Martin Blom:
! 
!      - Recompiled using SAS/C 6.58.
!      * Removed the Delfina support (it didn't work anymore).
!      - New-Look menus.
!      - The AHI audio mode is now selectable.
!      - Input can be selected in AHI mode.
!      * Removed some debug code.
!      - Added Fredrik Rambris installer script (supports Miami).
!        (I hope you don't mind, Fredrik---your mail address is not
!        valid anymore.)
  
  1.92 : (Public Release 07/07/96)
***************
*** 3217,3221 ****
  @node Knownproblems "Known Bugs and Other Problems"
  
! Here are the things that still don't work right with AmiPhone V1.91:
  
  - There are occasional skipped or repeated packets.
--- 3267,3271 ----
  @node Knownproblems "Known Bugs and Other Problems"
  
! Here are the things that still don't work right with AmiPhone V1.93:
  
  - There are occasional skipped or repeated packets.
***************
*** 3224,3229 ****
    be read from the stream, their memory is not freed.  (This may
    be an AmiTCP problem, actually)
- 
- - The AHI interface is not tested and probably doesn't work.
  
  - The Toccata support may be broken again.  If you want it working
--- 3274,3277 ----
Only in ../AmiPhone_1.92: amiphone.guide.info
diff -r -C 2 -P ../AmiPhone_1.92/amiphone.h ./amiphone.h
*** ../AmiPhone_1.92/amiphone.h	Sat Nov 16 23:46:40 1996
--- ./amiphone.h	Mon Feb 16 04:06:05 1998
***************
*** 4,7 ****
--- 4,18 ----
  #define AMIPHONE_H
  
+ #include <CompilerSpecific.h>
+ 
+ #ifdef __SASC
+   #pragma msg 85 ignore
+   #pragma msg 104 ignore
+   #pragma msg 225 ignore
+ #endif
+ 
+ 
+ 
+ 
  #define ALL_OF_BUFFER -1
  #define MAXPEERNAMELENGTH 100
***************
*** 19,23 ****
  #define SAMPLER_SOMAGIC 5
  #define SAMPLER_AURA    6
! #define SAMPLER_DELFINA 7
  #define SAMPLER_CUSTOM  8
  #define SAMPLER_AHI     9
--- 30,34 ----
  #define SAMPLER_SOMAGIC 5
  #define SAMPLER_AURA    6
! /* #define SAMPLER_DELFINA 7 */
  #define SAMPLER_CUSTOM  8
  #define SAMPLER_AHI     9
***************
*** 39,42 ****
--- 50,63 ----
  #define INPUT_SOURCE_MIC 0
  #define INPUT_SOURCE_EXT 1
+ #define INPUT_SOURCE_0   0
+ #define INPUT_SOURCE_1   1
+ #define INPUT_SOURCE_2   2
+ #define INPUT_SOURCE_3   3
+ #define INPUT_SOURCE_4   4
+ #define INPUT_SOURCE_5   5
+ #define INPUT_SOURCE_6   6
+ #define INPUT_SOURCE_7   7
+ #define INPUT_SOURCE_8   8
+ #define INPUT_SOURCE_9   9
  
  /* different methods of selecting sampling */
***************
*** 85,89 ****
  void ChangeVolumeThreshold(int nNewPercentage);
  
! __geta4 void GraphicsTaskMain(void);
  
  /* Functions in the graphics subtask */
--- 106,110 ----
  void ChangeVolumeThreshold(int nNewPercentage);
  
! void SAVEDS GraphicsTaskMain(void);
  
  /* Functions in the graphics subtask */
